Subject: FW: Last Call: draft-ietf-nemo-multihoming-issues (Analysis of Multihoming in Network Mobility Support) to Informational RFC
From: Jari Arkko <[email-masked]>
To: Shim6 <[email-masked]>, Monami6 <[email-masked]>
Cc: [email-masked]
Date: Wed, 23 May 2007 13:03:35 +0300

Reviews from these working groups would be desirable
on this document as well:

> The IESG has received a request from the Network Mobility WG (nemo) to 
> consider the following document:
>
> - 'Analysis of Multihoming in Network Mobility Support '
>    <draft-ietf-nemo-multihoming-issues-07.txt> as an Informational RFC
>
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action.  Please send substantive comments to the
> [email-masked] mailing lists by 2007-06-05. Exceptionally, 
> comments may be sent to [email-masked] instead. In either case, please 
> retain the beginning of the Subject line to allow automated sorting.
>
> The file can be obtained via
> http://www.ietf.org/internet-drafts/draft-ietf-nemo-multihoming-issues-07.txt
>
>
> IESG discussion can be tracked via
> https://datatracker.ietf.org/public/pidtracker.cgi?command=view_id&dTag=12101&rfc_flag=0
>
>
>
>
>   

Delivery-date: Tue, 15 May 2007 14:20:40 +0000
Cc: [email-masked]
From: marcelo bagnulo braun <[email-masked]>
Subject: Re: draft-bagnulo-pshim6-01.txt
Date: Tue, 15 May 2007 16:19:22 +0200
To: Deguang Le <[email-masked]>

El 15/05/2007, a las 10:21, Deguang Le escribi=F3:

>
> Thank you very much for your explanation.
> As you said, the p-shim box has to perform the router function and=20
> advertise the route through some routing protocol (e.g. IGP) each time=20=

> when a node in the site wants to establish communication with external=20=

> nodes. Right? :-)
>

not each time.
the P-shim box will announce a route towards the generic CMULA prefix=20
so it will sink all packets containing a CMULA destiantion address. If=20=

you have internal CMULAs prefixes, these will be mroe specific than the=20=

generic CMULA prefix, so, packets with the local CMULA prefix will be=20
routed with this more specific routes (rahter than being sink towards=20
the P-shim6 box)

> If this is true, I wonder if this mechanism is efficient because I=20
> think it needs take considerable time to update the routes in the site=20=

> (especially when the site is large including many routers) each time=20=

> before the node can establish communication with external nodes.
>

i don't think this is the case, see above...

makes sense?

regards, marcelo

> What do you think?
>
> Cheers,
> Deguang
>
>
>
>
>
>
>> Regards, marcelo
>>> With Best Regards,
>>> Deguang
>>>
>>>
>>>> then P-shim6 box would replace the CMULA to a globally routable PA=20=

>>>> address. So the CMULAs would be  routed inside the sites and PA=20
>>>> address will be routed in the interdomain
>>>> that makes sense?
>>>> Regards, marcelo
>>>>
>>>>> Therefore, I only wonder how this packet could be routed from H1=20=

>>>>> to P-shim box correctly.
>>>>>
>>>>> With best regards,
>>>>> Deguang
>>>>>
>>>>>
>>>>>
>>>>>> Regards, marcelo
>>>>>>
>>>>>>> The reasions are ss follows:
>>>>>>> According to rfc2373, routers must not forward any packets with=20=

>>>>>>> site-local source or destination addresses outside of the site.
>>>>>>>
>>>>>>> Reference [12] has the following description:
>>>>>>> Unique Local IPv6 Unicast Addresses are intended for local=20
>>>>>>> communications, usually inside of a site.
>>>>>>>
>>>>>>> RFC4193 provides operational guidelines that forbid default=20
>>>>>>> routing of local addresses between sites in section 4.1.
>>>>>>>
>>>>>>> By the way, the reference [12] seems have been updated by RFC=20
>>>>>>> 4193.
>>>>>>>    [12]  Hinden, R. and B. Haberman, "Centrally Assigned Unique=20=

>>>>>>> Local
>>>>>>>          IPv6 Unicast Addresses", draft-ietf-ipv6-ula-central-01=20=

>>>>>>> (work
>>>>>>>          in progress), February 2005.
>>>>>>>
>>>>>>> Cheers,
>>>>>>> Deguang
>>>>>>>
>>>>>
>>>
>
>

Delivery-date: Tue, 15 May 2007 08:23:26 +0000
Date: Tue, 15 May 2007 10:21:14 +0200
From: Deguang Le <[email-masked]>
To: marcelo bagnulo braun <[email-masked]>
CC:  [email-masked]
Subject: Re: draft-bagnulo-pshim6-01.txt

marcelo bagnulo braun schrieb:

> 
> El 14/05/2007, a las 11:59, Deguang Le escribió:
> 
>> marcelo bagnulo braun schrieb:
>>
>>> El 13/05/2007, a las 20:23, Deguang Le escribió:
>>>
>>>> marcelo bagnulo braun schrieb:
>>>>
>>>>> Hi Deguang,
>>>>> El 13/05/2007, a las 17:37, Deguang Le escribió:
>>>>>
>>>>>> Dear Prof. Marcelo,
>>>>>> page5:
>>>>>>  When H1 sends the first packet addressed to the CMULA of H2, the
>>>>>>    packet is intercepted and processed by the P- Shim6 box of the
>>>>>>    multihomed site.
>>>>>>
>>>>>> As above description, H1 sends the first packet, which uses the 
>>>>>> CMULA of H2 as the destination address. The CMULA is site-local 
>>>>>> adddress.
>>>>>>
>>>>> right
>>>>>
>>>>>> Since the destination addresss of the first packet is the CMULA of 
>>>>>> H2 that belongs to H2's site, I wonder if this packet can be 
>>>>>> routed in H1's site.
>>>>>>
>>>>> this packet is routed to the P-shim box in the H1 site. the P-Shim6 
>>>>> box of the H1 site will then establish the shim6 context whcih will 
>>>>> have the CMULAs as ULIDs and regular PA addresses as locators. 
>>>>> After that it will forward the packets outside H1 site towards H2 
>>>>> site containing the PA addresses as locators.
>>>>> So the packets will carry PA addresses in the IPv6 header once they 
>>>>> leave the site. CMULAs are only routed inside the local site, so 
>>>>> this would be compliant with proposed usage of ULAs.
>>>>> does this address your point?
>>>>
>>>>
>>>> Thank you very much for your detailed explaination. :-)
>>>> As you said, through the path from H1 to P-shim, the destination 
>>>> address of this packet is the CMULA of H2, which however is not 
>>>> routable in the H1's site (the reasions have been listed below). 
>>>> Normally, the CMULA of H2 can only be routable in the H2's site 
>>>> since it belongs to site-local address. right?
>>>>
>>> right i see your point now.
>>> the idea is that the P-shim box will inject a route to the CMULA 
>>> prefix, sinking all packets addressed to CMULA prefix (other than the 
>>> local CMULA prefix)
>>
>>
>> Thank you very much!
>> Do you think whether your idea might violate the specification in 
>> RFC2374, namley "routers must not forward any packets with site-local 
>> source or destination addresses outside of the site."
>>
> 
> i don't think so because CMULAs are routed inside the end sites, the 
> source and the destination edn site, so no border router will havve to 
> route them. Note that ULAs can be routed by other sites than the 
> original one (consider the case of VPN for example)
> 
> So i don't see that this is a problem (but others may :-)
> 
> what do you think?

Thank you very much for your explanation.
As you said, the p-shim box has to perform the router function and 
advertise the route through some routing protocol (e.g. IGP) each time 
when a node in the site wants to establish communication with external 
nodes. Right? :-)

If this is true, I wonder if this mechanism is efficient because I think 
it needs take considerable time to update the routes in the site 
(especially when the site is large including many routers) each time 
before the node can establish communication with external nodes.

What do you think?

Cheers,
Deguang

> 
> Regards, marcelo
> 
> 
>> With Best Regards,
>> Deguang
>>
>>
>>> then P-shim6 box would replace the CMULA to a globally routable PA 
>>> address. So the CMULAs would be  routed inside the sites and PA 
>>> address will be routed in the interdomain
>>> that makes sense?
>>> Regards, marcelo
>>>
>>>> Therefore, I only wonder how this packet could be routed from H1 to 
>>>> P-shim box correctly.
>>>>
>>>> With best regards,
>>>> Deguang
>>>>
>>>>
>>>>
>>>>> Regards, marcelo
>>>>>
>>>>>> The reasions are ss follows:
>>>>>> According to rfc2373, routers must not forward any packets with 
>>>>>> site-local source or destination addresses outside of the site.
>>>>>>
>>>>>> Reference [12] has the following description:
>>>>>> Unique Local IPv6 Unicast Addresses are intended for local 
>>>>>> communications, usually inside of a site.
>>>>>>
>>>>>> RFC4193 provides operational guidelines that forbid default 
>>>>>> routing of local addresses between sites in section 4.1.
>>>>>>
>>>>>> By the way, the reference [12] seems have been updated by RFC 4193.
>>>>>>    [12]  Hinden, R. and B. Haberman, "Centrally Assigned Unique Local
>>>>>>          IPv6 Unicast Addresses", draft-ietf-ipv6-ula-central-01 
>>>>>> (work
>>>>>>          in progress), February 2005.
>>>>>>
>>>>>> Cheers,
>>>>>> Deguang
>>>>>>
>>>>
>>
> 
> 

Delivery-date: Mon, 14 May 2007 11:19:20 +0000
Cc: [email-masked]
From: marcelo bagnulo braun <[email-masked]>
Subject: Re: draft-bagnulo-pshim6-01.txt
Date: Mon, 14 May 2007 13:18:27 +0200
To: Deguang Le <[email-masked]>

El 14/05/2007, a las 11:59, Deguang Le escribi=F3:

> marcelo bagnulo braun schrieb:
>
>> El 13/05/2007, a las 20:23, Deguang Le escribi=F3:
>>> marcelo bagnulo braun schrieb:
>>>
>>>> Hi Deguang,
>>>> El 13/05/2007, a las 17:37, Deguang Le escribi=F3:
>>>>
>>>>> Dear Prof. Marcelo,
>>>>> page5:
>>>>>  When H1 sends the first packet addressed to the CMULA of H2, the
>>>>>    packet is intercepted and processed by the P- Shim6 box of the
>>>>>    multihomed site.
>>>>>
>>>>> As above description, H1 sends the first packet, which uses the=20
>>>>> CMULA of H2 as the destination address. The CMULA is site-local=20
>>>>> adddress.
>>>>>
>>>> right
>>>>
>>>>> Since the destination addresss of the first packet is the CMULA of=20=

>>>>> H2 that belongs to H2's site, I wonder if this packet can be=20
>>>>> routed in H1's site.
>>>>>
>>>> this packet is routed to the P-shim box in the H1 site. the P-Shim6=20=

>>>> box of the H1 site will then establish the shim6 context whcih will=20=

>>>> have the CMULAs as ULIDs and regular PA addresses as locators.=20
>>>> After that it will forward the packets outside H1 site towards H2=20=

>>>> site containing the PA addresses as locators.
>>>> So the packets will carry PA addresses in the IPv6 header once they=20=

>>>> leave the site. CMULAs are only routed inside the local site, so=20
>>>> this would be compliant with proposed usage of ULAs.
>>>> does this address your point?
>>>
>>> Thank you very much for your detailed explaination. :-)
>>> As you said, through the path from H1 to P-shim, the destination=20
>>> address of this packet is the CMULA of H2, which however is not=20
>>> routable in the H1's site (the reasions have been listed below).=20
>>> Normally, the CMULA of H2 can only be routable in the H2's site=20
>>> since it belongs to site-local address. right?
>>>
>> right i see your point now.
>> the idea is that the P-shim box will inject a route to the CMULA=20
>> prefix, sinking all packets addressed to CMULA prefix (other than the=20=

>> local CMULA prefix)
>
> Thank you very much!
> Do you think whether your idea might violate the specification in=20
> RFC2374, namley "routers must not forward any packets with site-local=20=

> source or destination addresses outside of the site."
>

i don't think so because CMULAs are routed inside the end sites, the=20
source and the destination edn site, so no border router will havve to=20=

route them. Note that ULAs can be routed by other sites than the=20
original one (consider the case of VPN for example)

So i don't see that this is a problem (but others may :-)

what do you think?

Regards, marcelo

> With Best Regards,
> Deguang
>
>
>> then P-shim6 box would replace the CMULA to a globally routable PA=20
>> address. So the CMULAs would be  routed inside the sites and PA=20
>> address will be routed in the interdomain
>> that makes sense?
>> Regards, marcelo
>>> Therefore, I only wonder how this packet could be routed from H1 to=20=

>>> P-shim box correctly.
>>>
>>> With best regards,
>>> Deguang
>>>
>>>
>>>
>>>> Regards, marcelo
>>>>
>>>>> The reasions are ss follows:
>>>>> According to rfc2373, routers must not forward any packets with=20
>>>>> site-local source or destination addresses outside of the site.
>>>>>
>>>>> Reference [12] has the following description:
>>>>> Unique Local IPv6 Unicast Addresses are intended for local=20
>>>>> communications, usually inside of a site.
>>>>>
>>>>> RFC4193 provides operational guidelines that forbid default=20
>>>>> routing of local addresses between sites in section 4.1.
>>>>>
>>>>> By the way, the reference [12] seems have been updated by RFC =
4193.
>>>>>    [12]  Hinden, R. and B. Haberman, "Centrally Assigned Unique=20
>>>>> Local
>>>>>          IPv6 Unicast Addresses", draft-ietf-ipv6-ula-central-01=20=

>>>>> (work
>>>>>          in progress), February 2005.
>>>>>
>>>>> Cheers,
>>>>> Deguang
>>>>>
>>>
>

Delivery-date: Mon, 14 May 2007 10:00:05 +0000
Date: Mon, 14 May 2007 11:59:39 +0200
From: Deguang Le <[email-masked]>
To: marcelo bagnulo braun <[email-masked]>
CC:  [email-masked]
Subject: Re: draft-bagnulo-pshim6-01.txt

marcelo bagnulo braun schrieb:

> 
> El 13/05/2007, a las 20:23, Deguang Le escribió:
> 
>> marcelo bagnulo braun schrieb:
>>
>>> Hi Deguang,
>>> El 13/05/2007, a las 17:37, Deguang Le escribió:
>>>
>>>> Dear Prof. Marcelo,
>>>> page5:
>>>>  When H1 sends the first packet addressed to the CMULA of H2, the
>>>>    packet is intercepted and processed by the P- Shim6 box of the
>>>>    multihomed site.
>>>>
>>>> As above description, H1 sends the first packet, which uses the 
>>>> CMULA of H2 as the destination address. The CMULA is site-local 
>>>> adddress.
>>>>
>>> right
>>>
>>>> Since the destination addresss of the first packet is the CMULA of 
>>>> H2 that belongs to H2's site, I wonder if this packet can be routed 
>>>> in H1's site.
>>>>
>>> this packet is routed to the P-shim box in the H1 site. the P-Shim6 
>>> box of the H1 site will then establish the shim6 context whcih will 
>>> have the CMULAs as ULIDs and regular PA addresses as locators. After 
>>> that it will forward the packets outside H1 site towards H2 site 
>>> containing the PA addresses as locators.
>>> So the packets will carry PA addresses in the IPv6 header once they 
>>> leave the site. CMULAs are only routed inside the local site, so this 
>>> would be compliant with proposed usage of ULAs.
>>> does this address your point?
>>
>> Thank you very much for your detailed explaination. :-)
>> As you said, through the path from H1 to P-shim, the destination 
>> address of this packet is the CMULA of H2, which however is not 
>> routable in the H1's site (the reasions have been listed below). 
>> Normally, the CMULA of H2 can only be routable in the H2's site since 
>> it belongs to site-local address. right?
>>
> 
> right i see your point now.
> 
> the idea is that the P-shim box will inject a route to the CMULA prefix, 
> sinking all packets addressed to CMULA prefix (other than the local 
> CMULA prefix)

Thank you very much!
Do you think whether your idea might violate the specification in 
RFC2374, namley "routers must not forward any packets with site-local 
source or destination addresses outside of the site."

With Best Regards,
Deguang

> 
> then P-shim6 box would replace the CMULA to a globally routable PA 
> address. So the CMULAs would be  routed inside the sites and PA address 
> will be routed in the interdomain
> 
> that makes sense?
> 
> Regards, marcelo
> 
> 
>> Therefore, I only wonder how this packet could be routed from H1 to 
>> P-shim box correctly.
>>
>> With best regards,
>> Deguang
>>
>>
>>
>>> Regards, marcelo
>>>
>>>> The reasions are ss follows:
>>>> According to rfc2373, routers must not forward any packets with 
>>>> site-local source or destination addresses outside of the site.
>>>>
>>>> Reference [12] has the following description:
>>>> Unique Local IPv6 Unicast Addresses are intended for local 
>>>> communications, usually inside of a site.
>>>>
>>>> RFC4193 provides operational guidelines that forbid default routing 
>>>> of local addresses between sites in section 4.1.
>>>>
>>>> By the way, the reference [12] seems have been updated by RFC 4193.
>>>>    [12]  Hinden, R. and B. Haberman, "Centrally Assigned Unique Local
>>>>          IPv6 Unicast Addresses", draft-ietf-ipv6-ula-central-01 (work
>>>>          in progress), February 2005.
>>>>
>>>> Cheers,
>>>> Deguang
>>>>
>>
> 

Delivery-date: Mon, 14 May 2007 09:46:50 +0000
Cc: [email-masked]
From: marcelo bagnulo braun <[email-masked]>
Subject: Re: draft-bagnulo-pshim6-01.txt
Date: Mon, 14 May 2007 11:44:47 +0200
To: Deguang Le <[email-masked]>

El 13/05/2007, a las 20:23, Deguang Le escribi=F3:

> marcelo bagnulo braun schrieb:
>
>> Hi Deguang,
>> El 13/05/2007, a las 17:37, Deguang Le escribi=F3:
>>> Dear Prof. Marcelo,
>>> page5:
>>>  When H1 sends the first packet addressed to the CMULA of H2, the
>>>    packet is intercepted and processed by the P- Shim6 box of the
>>>    multihomed site.
>>>
>>> As above description, H1 sends the first packet, which uses the=20
>>> CMULA of H2 as the destination address. The CMULA is site-local=20
>>> adddress.
>>>
>> right
>>> Since the destination addresss of the first packet is the CMULA of=20=

>>> H2 that belongs to H2's site, I wonder if this packet can be routed=20=

>>> in H1's site.
>>>
>> this packet is routed to the P-shim box in the H1 site. the P-Shim6=20=

>> box of the H1 site will then establish the shim6 context whcih will=20=

>> have the CMULAs as ULIDs and regular PA addresses as locators. After=20=

>> that it will forward the packets outside H1 site towards H2 site=20
>> containing the PA addresses as locators.
>> So the packets will carry PA addresses in the IPv6 header once they=20=

>> leave the site. CMULAs are only routed inside the local site, so this=20=

>> would be compliant with proposed usage of ULAs.
>> does this address your point?
> Thank you very much for your detailed explaination. :-)
> As you said, through the path from H1 to P-shim, the destination=20
> address of this packet is the CMULA of H2, which however is not=20
> routable in the H1's site (the reasions have been listed below).=20
> Normally, the CMULA of H2 can only be routable in the H2's site since=20=

> it belongs to site-local address. right?
>

right i see your point now.

the idea is that the P-shim box will inject a route to the CMULA=20
prefix, sinking all packets addressed to CMULA prefix (other than the=20
local CMULA prefix)

then P-shim6 box would replace the CMULA to a globally routable PA=20
address. So the CMULAs would be  routed inside the sites and PA address=20=

will be routed in the interdomain

that makes sense?

Regards, marcelo

> Therefore, I only wonder how this packet could be routed from H1 to=20
> P-shim box correctly.
>
> With best regards,
> Deguang
>
>
>
>> Regards, marcelo
>>> The reasions are ss follows:
>>> According to rfc2373, routers must not forward any packets with=20
>>> site-local source or destination addresses outside of the site.
>>>
>>> Reference [12] has the following description:
>>> Unique Local IPv6 Unicast Addresses are intended for local=20
>>> communications, usually inside of a site.
>>>
>>> RFC4193 provides operational guidelines that forbid default routing=20=

>>> of local addresses between sites in section 4.1.
>>>
>>> By the way, the reference [12] seems have been updated by RFC 4193.
>>>    [12]  Hinden, R. and B. Haberman, "Centrally Assigned Unique =
Local
>>>          IPv6 Unicast Addresses", draft-ietf-ipv6-ula-central-01=20
>>> (work
>>>          in progress), February 2005.
>>>
>>> Cheers,
>>> Deguang
>>>
>

Delivery-date: Sun, 13 May 2007 18:25:14 +0000
Date: Sun, 13 May 2007 20:23:54 +0200
From: Deguang Le <[email-masked]>
To: marcelo bagnulo braun <[email-masked]>
CC:  [email-masked]
Subject: Re: draft-bagnulo-pshim6-01.txt

marcelo bagnulo braun schrieb:

> Hi Deguang,
> 
> El 13/05/2007, a las 17:37, Deguang Le escribió:
> 
>> Dear Prof. Marcelo,
>> page5:
>>  When H1 sends the first packet addressed to the CMULA of H2, the
>>    packet is intercepted and processed by the P- Shim6 box of the
>>    multihomed site.
>>
>> As above description, H1 sends the first packet, which uses the CMULA 
>> of H2 as the destination address. The CMULA is site-local adddress.
>>
> 
> right
> 
>> Since the destination addresss of the first packet is the CMULA of H2 
>> that belongs to H2's site, I wonder if this packet can be routed in 
>> H1's site.
>>
> 
> this packet is routed to the P-shim box in the H1 site. the P-Shim6 box 
> of the H1 site will then establish the shim6 context whcih will have the 
> CMULAs as ULIDs and regular PA addresses as locators. After that it will 
> forward the packets outside H1 site towards H2 site containing the PA 
> addresses as locators.
> 
> So the packets will carry PA addresses in the IPv6 header once they 
> leave the site. CMULAs are only routed inside the local site, so this 
> would be compliant with proposed usage of ULAs.
> 
> does this address your point?
Thank you very much for your detailed explaination. :-)
As you said, through the path from H1 to P-shim, the destination address 
of this packet is the CMULA of H2, which however is not routable in the 
H1's site (the reasions have been listed below). Normally, the CMULA of 
H2 can only be routable in the H2's site since it belongs to site-local 
address. right?
Therefore, I only wonder how this packet could be routed from H1 to 
P-shim box correctly.

With best regards,
Deguang

> 
> Regards, marcelo
> 
> 
>> The reasions are ss follows:
>> According to rfc2373, routers must not forward any packets with 
>> site-local source or destination addresses outside of the site.
>>
>> Reference [12] has the following description:
>> Unique Local IPv6 Unicast Addresses are intended for local 
>> communications, usually inside of a site.
>>
>> RFC4193 provides operational guidelines that forbid default routing of 
>> local addresses between sites in section 4.1.
>>
>> By the way, the reference [12] seems have been updated by RFC 4193.
>>    [12]  Hinden, R. and B. Haberman, "Centrally Assigned Unique Local
>>          IPv6 Unicast Addresses", draft-ietf-ipv6-ula-central-01 (work
>>          in progress), February 2005.
>>
>> Cheers,
>> Deguang
>>
> 

Delivery-date: Sun, 13 May 2007 16:49:27 +0000
Cc: shim6-wg <[email-masked]>
From: marcelo bagnulo braun <[email-masked]>
Subject: Re: draft-bagnulo-pshim6-01.txt
Date: Sun, 13 May 2007 18:48:32 +0200
To: Deguang Le <[email-masked]>

Hi Deguang,

El 13/05/2007, a las 17:37, Deguang Le escribi=F3:

> Dear Prof. Marcelo,
> page5:
>  When H1 sends the first packet addressed to the CMULA of H2, the
>    packet is intercepted and processed by the P- Shim6 box of the
>    multihomed site.
>
> As above description, H1 sends the first packet, which uses the CMULA=20=

> of H2 as the destination address. The CMULA is site-local adddress.
>

right

> Since the destination addresss of the first packet is the CMULA of H2=20=

> that belongs to H2's site, I wonder if this packet can be routed in=20
> H1's site.
>

this packet is routed to the P-shim box in the H1 site. the P-Shim6 box=20=

of the H1 site will then establish the shim6 context whcih will have=20
the CMULAs as ULIDs and regular PA addresses as locators. After that it=20=

will forward the packets outside H1 site towards H2 site containing the=20=

PA addresses as locators.

So the packets will carry PA addresses in the IPv6 header once they=20
leave the site. CMULAs are only routed inside the local site, so this=20
would be compliant with proposed usage of ULAs.

does this address your point?

Regards, marcelo

> The reasions are ss follows:
> According to rfc2373, routers must not forward any packets with=20
> site-local source or destination addresses outside of the site.
>
> Reference [12] has the following description:
> Unique Local IPv6 Unicast Addresses are intended for local=20
> communications, usually inside of a site.
>
> RFC4193 provides operational guidelines that forbid default routing of=20=

> local addresses between sites in section 4.1.
>
> By the way, the reference [12] seems have been updated by RFC 4193.
>    [12]  Hinden, R. and B. Haberman, "Centrally Assigned Unique Local
>          IPv6 Unicast Addresses", draft-ietf-ipv6-ula-central-01 (work
>          in progress), February 2005.
>
> Cheers,
> Deguang
>

Delivery-date: Sun, 13 May 2007 15:40:23 +0000
Date: Sun, 13 May 2007 17:37:52 +0200
From: Deguang Le <[email-masked]>
To: marcelo bagnulo braun <[email-masked]>
CC: shim6-wg <[email-masked]>
Subject: draft-bagnulo-pshim6-01.txt

Dear Prof. Marcelo,
page5:
  When H1 sends the first packet addressed to the CMULA of H2, the
    packet is intercepted and processed by the P- Shim6 box of the
    multihomed site.

As above description, H1 sends the first packet, which uses the CMULA of 
H2 as the destination address. The CMULA is site-local adddress.

Since the destination addresss of the first packet is the CMULA of H2 
that belongs to H2's site, I wonder if this packet can be routed in H1's 
site.

The reasions are ss follows:
According to rfc2373, routers must not forward any packets with 
site-local source or destination addresses outside of the site.

Reference [12] has the following description:
Unique Local IPv6 Unicast Addresses are intended for local 
communications, usually inside of a site.

RFC4193 provides operational guidelines that forbid default routing of 
local addresses between sites in section 4.1.

By the way, the reference [12] seems have been updated by RFC 4193.
    [12]  Hinden, R. and B. Haberman, "Centrally Assigned Unique Local
          IPv6 Unicast Addresses", draft-ietf-ipv6-ula-central-01 (work
          in progress), February 2005.

Cheers,
Deguang

Delivery-date: Wed, 23 May 2007 10:04:44 +0000
Date: Wed, 23 May 2007 13:03:35 +0300
From: Jari Arkko <[email-masked]>
To: Shim6 <[email-masked]>, Monami6 <[email-masked]>
CC:  [email-masked]
Subject: FW: Last Call: draft-ietf-nemo-multihoming-issues (Analysis of  Multihoming in Network Mobility Support) to Informational RFC

Reviews from these working groups would be desirable
on this document as well:

> The IESG has received a request from the Network Mobility WG (nemo) to 
> consider the following document:
>
> - 'Analysis of Multihoming in Network Mobility Support '
>    <draft-ietf-nemo-multihoming-issues-07.txt> as an Informational RFC
>
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action.  Please send substantive comments to the
> [email-masked] mailing lists by 2007-06-05. Exceptionally, 
> comments may be sent to [email-masked] instead. In either case, please 
> retain the beginning of the Subject line to allow automated sorting.
>
> The file can be obtained via
> http://www.ietf.org/internet-drafts/draft-ietf-nemo-multihoming-issues-07.txt
>
>
> IESG discussion can be tracked via
> https://datatracker.ietf.org/public/pidtracker.cgi?command=view_id&dTag=12101&rfc_flag=0
>
>
>
>
>   

Delivery-date: Tue, 15 May 2007 14:20:40 +0000
Cc: [email-masked]
From: marcelo bagnulo braun <[email-masked]>
Subject: Re: draft-bagnulo-pshim6-01.txt
Date: Tue, 15 May 2007 16:19:22 +0200
To: Deguang Le <[email-masked]>

El 15/05/2007, a las 10:21, Deguang Le escribi=F3:

>
> Thank you very much for your explanation.
> As you said, the p-shim box has to perform the router function and=20
> advertise the route through some routing protocol (e.g. IGP) each time=20=

> when a node in the site wants to establish communication with external=20=

> nodes. Right? :-)
>

not each time.
the P-shim box will announce a route towards the generic CMULA prefix=20
so it will sink all packets containing a CMULA destiantion address. If=20=

you have internal CMULAs prefixes, these will be mroe specific than the=20=

generic CMULA prefix, so, packets with the local CMULA prefix will be=20
routed with this more specific routes (rahter than being sink towards=20
the P-shim6 box)

> If this is true, I wonder if this mechanism is efficient because I=20
> think it needs take considerable time to update the routes in the site=20=

> (especially when the site is large including many routers) each time=20=

> before the node can establish communication with external nodes.
>

i don't think this is the case, see above...

makes sense?

regards, marcelo

> What do you think?
>
> Cheers,
> Deguang
>
>
>
>
>
>
>> Regards, marcelo
>>> With Best Regards,
>>> Deguang
>>>
>>>
>>>> then P-shim6 box would replace the CMULA to a globally routable PA=20=

>>>> address. So the CMULAs would be  routed inside the sites and PA=20
>>>> address will be routed in the interdomain
>>>> that makes sense?
>>>> Regards, marcelo
>>>>
>>>>> Therefore, I only wonder how this packet could be routed from H1=20=

>>>>> to P-shim box correctly.
>>>>>
>>>>> With best regards,
>>>>> Deguang
>>>>>
>>>>>
>>>>>
>>>>>> Regards, marcelo
>>>>>>
>>>>>>> The reasions are ss follows:
>>>>>>> According to rfc2373, routers must not forward any packets with=20=

>>>>>>> site-local source or destination addresses outside of the site.
>>>>>>>
>>>>>>> Reference [12] has the following description:
>>>>>>> Unique Local IPv6 Unicast Addresses are intended for local=20
>>>>>>> communications, usually inside of a site.
>>>>>>>
>>>>>>> RFC4193 provides operational guidelines that forbid default=20
>>>>>>> routing of local addresses between sites in section 4.1.
>>>>>>>
>>>>>>> By the way, the reference [12] seems have been updated by RFC=20
>>>>>>> 4193.
>>>>>>>    [12]  Hinden, R. and B. Haberman, "Centrally Assigned Unique=20=

>>>>>>> Local
>>>>>>>          IPv6 Unicast Addresses", draft-ietf-ipv6-ula-central-01=20=

>>>>>>> (work
>>>>>>>          in progress), February 2005.
>>>>>>>
>>>>>>> Cheers,
>>>>>>> Deguang
>>>>>>>
>>>>>
>>>
>
>

Delivery-date: Tue, 15 May 2007 08:23:26 +0000
Date: Tue, 15 May 2007 10:21:14 +0200
From: Deguang Le <[email-masked]>
To: marcelo bagnulo braun <[email-masked]>
CC:  [email-masked]
Subject: Re: draft-bagnulo-pshim6-01.txt

marcelo bagnulo braun schrieb:

> 
> El 14/05/2007, a las 11:59, Deguang Le escribió:
> 
>> marcelo bagnulo braun schrieb:
>>
>>> El 13/05/2007, a las 20:23, Deguang Le escribió:
>>>
>>>> marcelo bagnulo braun schrieb:
>>>>
>>>>> Hi Deguang,
>>>>> El 13/05/2007, a las 17:37, Deguang Le escribió:
>>>>>
>>>>>> Dear Prof. Marcelo,
>>>>>> page5:
>>>>>>  When H1 sends the first packet addressed to the CMULA of H2, the
>>>>>>    packet is intercepted and processed by the P- Shim6 box of the
>>>>>>    multihomed site.
>>>>>>
>>>>>> As above description, H1 sends the first packet, which uses the 
>>>>>> CMULA of H2 as the destination address. The CMULA is site-local 
>>>>>> adddress.
>>>>>>
>>>>> right
>>>>>
>>>>>> Since the destination addresss of the first packet is the CMULA of 
>>>>>> H2 that belongs to H2's site, I wonder if this packet can be 
>>>>>> routed in H1's site.
>>>>>>
>>>>> this packet is routed to the P-shim box in the H1 site. the P-Shim6 
>>>>> box of the H1 site will then establish the shim6 context whcih will 
>>>>> have the CMULAs as ULIDs and regular PA addresses as locators. 
>>>>> After that it will forward the packets outside H1 site towards H2 
>>>>> site containing the PA addresses as locators.
>>>>> So the packets will carry PA addresses in the IPv6 header once they 
>>>>> leave the site. CMULAs are only routed inside the local site, so 
>>>>> this would be compliant with proposed usage of ULAs.
>>>>> does this address your point?
>>>>
>>>>
>>>> Thank you very much for your detailed explaination. :-)
>>>> As you said, through the path from H1 to P-shim, the destination 
>>>> address of this packet is the CMULA of H2, which however is not 
>>>> routable in the H1's site (the reasions have been listed below). 
>>>> Normally, the CMULA of H2 can only be routable in the H2's site 
>>>> since it belongs to site-local address. right?
>>>>
>>> right i see your point now.
>>> the idea is that the P-shim box will inject a route to the CMULA 
>>> prefix, sinking all packets addressed to CMULA prefix (other than the 
>>> local CMULA prefix)
>>
>>
>> Thank you very much!
>> Do you think whether your idea might violate the specification in 
>> RFC2374, namley "routers must not forward any packets with site-local 
>> source or destination addresses outside of the site."
>>
> 
> i don't think so because CMULAs are routed inside the end sites, the 
> source and the destination edn site, so no border router will havve to 
> route them. Note that ULAs can be routed by other sites than the 
> original one (consider the case of VPN for example)
> 
> So i don't see that this is a problem (but others may :-)
> 
> what do you think?

Thank you very much for your explanation.
As you said, the p-shim box has to perform the router function and 
advertise the route through some routing protocol (e.g. IGP) each time 
when a node in the site wants to establish communication with external 
nodes. Right? :-)

If this is true, I wonder if this mechanism is efficient because I think 
it needs take considerable time to update the routes in the site 
(especially when the site is large including many routers) each time 
before the node can establish communication with external nodes.

What do you think?

Cheers,
Deguang

> 
> Regards, marcelo
> 
> 
>> With Best Regards,
>> Deguang
>>
>>
>>> then P-shim6 box would replace the CMULA to a globally routable PA 
>>> address. So the CMULAs would be  routed inside the sites and PA 
>>> address will be routed in the interdomain
>>> that makes sense?
>>> Regards, marcelo
>>>
>>>> Therefore, I only wonder how this packet could be routed from H1 to 
>>>> P-shim box correctly.
>>>>
>>>> With best regards,
>>>> Deguang
>>>>
>>>>
>>>>
>>>>> Regards, marcelo
>>>>>
>>>>>> The reasions are ss follows:
>>>>>> According to rfc2373, routers must not forward any packets with 
>>>>>> site-local source or destination addresses outside of the site.
>>>>>>
>>>>>> Reference [12] has the following description:
>>>>>> Unique Local IPv6 Unicast Addresses are intended for local 
>>>>>> communications, usually inside of a site.
>>>>>>
>>>>>> RFC4193 provides operational guidelines that forbid default 
>>>>>> routing of local addresses between sites in section 4.1.
>>>>>>
>>>>>> By the way, the reference [12] seems have been updated by RFC 4193.
>>>>>>    [12]  Hinden, R. and B. Haberman, "Centrally Assigned Unique Local
>>>>>>          IPv6 Unicast Addresses", draft-ietf-ipv6-ula-central-01 
>>>>>> (work
>>>>>>          in progress), February 2005.
>>>>>>
>>>>>> Cheers,
>>>>>> Deguang
>>>>>>
>>>>
>>
> 
> 

Delivery-date: Mon, 14 May 2007 11:19:20 +0000
Cc: [email-masked]
From: marcelo bagnulo braun <[email-masked]>
Subject: Re: draft-bagnulo-pshim6-01.txt
Date: Mon, 14 May 2007 13:18:27 +0200
To: Deguang Le <[email-masked]>

El 14/05/2007, a las 11:59, Deguang Le escribi=F3:

> marcelo bagnulo braun schrieb:
>
>> El 13/05/2007, a las 20:23, Deguang Le escribi=F3:
>>> marcelo bagnulo braun schrieb:
>>>
>>>> Hi Deguang,
>>>> El 13/05/2007, a las 17:37, Deguang Le escribi=F3:
>>>>
>>>>> Dear Prof. Marcelo,
>>>>> page5:
>>>>>  When H1 sends the first packet addressed to the CMULA of H2, the
>>>>>    packet is intercepted and processed by the P- Shim6 box of the
>>>>>    multihomed site.
>>>>>
>>>>> As above description, H1 sends the first packet, which uses the=20
>>>>> CMULA of H2 as the destination address. The CMULA is site-local=20
>>>>> adddress.
>>>>>
>>>> right
>>>>
>>>>> Since the destination addresss of the first packet is the CMULA of=20=

>>>>> H2 that belongs to H2's site, I wonder if this packet can be=20
>>>>> routed in H1's site.
>>>>>
>>>> this packet is routed to the P-shim box in the H1 site. the P-Shim6=20=

>>>> box of the H1 site will then establish the shim6 context whcih will=20=

>>>> have the CMULAs as ULIDs and regular PA addresses as locators.=20
>>>> After that it will forward the packets outside H1 site towards H2=20=

>>>> site containing the PA addresses as locators.
>>>> So the packets will carry PA addresses in the IPv6 header once they=20=

>>>> leave the site. CMULAs are only routed inside the local site, so=20
>>>> this would be compliant with proposed usage of ULAs.
>>>> does this address your point?
>>>
>>> Thank you very much for your detailed explaination. :-)
>>> As you said, through the path from H1 to P-shim, the destination=20
>>> address of this packet is the CMULA of H2, which however is not=20
>>> routable in the H1's site (the reasions have been listed below).=20
>>> Normally, the CMULA of H2 can only be routable in the H2's site=20
>>> since it belongs to site-local address. right?
>>>
>> right i see your point now.
>> the idea is that the P-shim box will inject a route to the CMULA=20
>> prefix, sinking all packets addressed to CMULA prefix (other than the=20=

>> local CMULA prefix)
>
> Thank you very much!
> Do you think whether your idea might violate the specification in=20
> RFC2374, namley "routers must not forward any packets with site-local=20=

> source or destination addresses outside of the site."
>

i don't think so because CMULAs are routed inside the end sites, the=20
source and the destination edn site, so no border router will havve to=20=

route them. Note that ULAs can be routed by other sites than the=20
original one (consider the case of VPN for example)

So i don't see that this is a problem (but others may :-)

what do you think?

Regards, marcelo

> With Best Regards,
> Deguang
>
>
>> then P-shim6 box would replace the CMULA to a globally routable PA=20
>> address. So the CMULAs would be  routed inside the sites and PA=20
>> address will be routed in the interdomain
>> that makes sense?
>> Regards, marcelo
>>> Therefore, I only wonder how this packet could be routed from H1 to=20=

>>> P-shim box correctly.
>>>
>>> With best regards,
>>> Deguang
>>>
>>>
>>>
>>>> Regards, marcelo
>>>>
>>>>> The reasions are ss follows:
>>>>> According to rfc2373, routers must not forward any packets with=20
>>>>> site-local source or destination addresses outside of the site.
>>>>>
>>>>> Reference [12] has the following description:
>>>>> Unique Local IPv6 Unicast Addresses are intended for local=20
>>>>> communications, usually inside of a site.
>>>>>
>>>>> RFC4193 provides operational guidelines that forbid default=20
>>>>> routing of local addresses between sites in section 4.1.
>>>>>
>>>>> By the way, the reference [12] seems have been updated by RFC =
4193.
>>>>>    [12]  Hinden, R. and B. Haberman, "Centrally Assigned Unique=20
>>>>> Local
>>>>>          IPv6 Unicast Addresses", draft-ietf-ipv6-ula-central-01=20=

>>>>> (work
>>>>>          in progress), February 2005.
>>>>>
>>>>> Cheers,
>>>>> Deguang
>>>>>
>>>
>

Delivery-date: Mon, 14 May 2007 10:00:05 +0000
Date: Mon, 14 May 2007 11:59:39 +0200
From: Deguang Le <[email-masked]>
To: marcelo bagnulo braun <[email-masked]>
CC:  [email-masked]
Subject: Re: draft-bagnulo-pshim6-01.txt

marcelo bagnulo braun schrieb:

> 
> El 13/05/2007, a las 20:23, Deguang Le escribió:
> 
>> marcelo bagnulo braun schrieb:
>>
>>> Hi Deguang,
>>> El 13/05/2007, a las 17:37, Deguang Le escribió:
>>>
>>>> Dear Prof. Marcelo,
>>>> page5:
>>>>  When H1 sends the first packet addressed to the CMULA of H2, the
>>>>    packet is intercepted and processed by the P- Shim6 box of the
>>>>    multihomed site.
>>>>
>>>> As above description, H1 sends the first packet, which uses the 
>>>> CMULA of H2 as the destination address. The CMULA is site-local 
>>>> adddress.
>>>>
>>> right
>>>
>>>> Since the destination addresss of the first packet is the CMULA of 
>>>> H2 that belongs to H2's site, I wonder if this packet can be routed 
>>>> in H1's site.
>>>>
>>> this packet is routed to the P-shim box in the H1 site. the P-Shim6 
>>> box of the H1 site will then establish the shim6 context whcih will 
>>> have the CMULAs as ULIDs and regular PA addresses as locators. After 
>>> that it will forward the packets outside H1 site towards H2 site 
>>> containing the PA addresses as locators.
>>> So the packets will carry PA addresses in the IPv6 header once they 
>>> leave the site. CMULAs are only routed inside the local site, so this 
>>> would be compliant with proposed usage of ULAs.
>>> does this address your point?
>>
>> Thank you very much for your detailed explaination. :-)
>> As you said, through the path from H1 to P-shim, the destination 
>> address of this packet is the CMULA of H2, which however is not 
>> routable in the H1's site (the reasions have been listed below). 
>> Normally, the CMULA of H2 can only be routable in the H2's site since 
>> it belongs to site-local address. right?
>>
> 
> right i see your point now.
> 
> the idea is that the P-shim box will inject a route to the CMULA prefix, 
> sinking all packets addressed to CMULA prefix (other than the local 
> CMULA prefix)

Thank you very much!
Do you think whether your idea might violate the specification in 
RFC2374, namley "routers must not forward any packets with site-local 
source or destination addresses outside of the site."

With Best Regards,
Deguang

> 
> then P-shim6 box would replace the CMULA to a globally routable PA 
> address. So the CMULAs would be  routed inside the sites and PA address 
> will be routed in the interdomain
> 
> that makes sense?
> 
> Regards, marcelo
> 
> 
>> Therefore, I only wonder how this packet could be routed from H1 to 
>> P-shim box correctly.
>>
>> With best regards,
>> Deguang
>>
>>
>>
>>> Regards, marcelo
>>>
>>>> The reasions are ss follows:
>>>> According to rfc2373, routers must not forward any packets with 
>>>> site-local source or destination addresses outside of the site.
>>>>
>>>> Reference [12] has the following description:
>>>> Unique Local IPv6 Unicast Addresses are intended for local 
>>>> communications, usually inside of a site.
>>>>
>>>> RFC4193 provides operational guidelines that forbid default routing 
>>>> of local addresses between sites in section 4.1.
>>>>
>>>> By the way, the reference [12] seems have been updated by RFC 4193.
>>>>    [12]  Hinden, R. and B. Haberman, "Centrally Assigned Unique Local
>>>>          IPv6 Unicast Addresses", draft-ietf-ipv6-ula-central-01 (work
>>>>          in progress), February 2005.
>>>>
>>>> Cheers,
>>>> Deguang
>>>>
>>
> 

Delivery-date: Mon, 14 May 2007 09:46:50 +0000
Cc: [email-masked]
From: marcelo bagnulo braun <[email-masked]>
Subject: Re: draft-bagnulo-pshim6-01.txt
Date: Mon, 14 May 2007 11:44:47 +0200
To: Deguang Le <[email-masked]>

El 13/05/2007, a las 20:23, Deguang Le escribi=F3:

> marcelo bagnulo braun schrieb:
>
>> Hi Deguang,
>> El 13/05/2007, a las 17:37, Deguang Le escribi=F3:
>>> Dear Prof. Marcelo,
>>> page5:
>>>  When H1 sends the first packet addressed to the CMULA of H2, the
>>>    packet is intercepted and processed by the P- Shim6 box of the
>>>    multihomed site.
>>>
>>> As above description, H1 sends the first packet, which uses the=20
>>> CMULA of H2 as the destination address. The CMULA is site-local=20
>>> adddress.
>>>
>> right
>>> Since the destination addresss of the first packet is the CMULA of=20=

>>> H2 that belongs to H2's site, I wonder if this packet can be routed=20=

>>> in H1's site.
>>>
>> this packet is routed to the P-shim box in the H1 site. the P-Shim6=20=

>> box of the H1 site will then establish the shim6 context whcih will=20=

>> have the CMULAs as ULIDs and regular PA addresses as locators. After=20=

>> that it will forward the packets outside H1 site towards H2 site=20
>> containing the PA addresses as locators.
>> So the packets will carry PA addresses in the IPv6 header once they=20=

>> leave the site. CMULAs are only routed inside the local site, so this=20=

>> would be compliant with proposed usage of ULAs.
>> does this address your point?
> Thank you very much for your detailed explaination. :-)
> As you said, through the path from H1 to P-shim, the destination=20
> address of this packet is the CMULA of H2, which however is not=20
> routable in the H1's site (the reasions have been listed below).=20
> Normally, the CMULA of H2 can only be routable in the H2's site since=20=

> it belongs to site-local address. right?
>

right i see your point now.

the idea is that the P-shim box will inject a route to the CMULA=20
prefix, sinking all packets addressed to CMULA prefix (other than the=20
local CMULA prefix)

then P-shim6 box would replace the CMULA to a globally routable PA=20
address. So the CMULAs would be  routed inside the sites and PA address=20=

will be routed in the interdomain

that makes sense?

Regards, marcelo

> Therefore, I only wonder how this packet could be routed from H1 to=20
> P-shim box correctly.
>
> With best regards,
> Deguang
>
>
>
>> Regards, marcelo
>>> The reasions are ss follows:
>>> According to rfc2373, routers must not forward any packets with=20
>>> site-local source or destination addresses outside of the site.
>>>
>>> Reference [12] has the following description:
>>> Unique Local IPv6 Unicast Addresses are intended for local=20
>>> communications, usually inside of a site.
>>>
>>> RFC4193 provides operational guidelines that forbid default routing=20=

>>> of local addresses between sites in section 4.1.
>>>
>>> By the way, the reference [12] seems have been updated by RFC 4193.
>>>    [12]  Hinden, R. and B. Haberman, "Centrally Assigned Unique =
Local
>>>          IPv6 Unicast Addresses", draft-ietf-ipv6-ula-central-01=20
>>> (work
>>>          in progress), February 2005.
>>>
>>> Cheers,
>>> Deguang
>>>
>

Delivery-date: Sun, 13 May 2007 18:25:14 +0000
Date: Sun, 13 May 2007 20:23:54 +0200
From: Deguang Le <[email-masked]>
To: marcelo bagnulo braun <[email-masked]>
CC:  [email-masked]
Subject: Re: draft-bagnulo-pshim6-01.txt

marcelo bagnulo braun schrieb:

> Hi Deguang,
> 
> El 13/05/2007, a las 17:37, Deguang Le escribió:
> 
>> Dear Prof. Marcelo,
>> page5:
>>  When H1 sends the first packet addressed to the CMULA of H2, the
>>    packet is intercepted and processed by the P- Shim6 box of the
>>    multihomed site.
>>
>> As above description, H1 sends the first packet, which uses the CMULA 
>> of H2 as the destination address. The CMULA is site-local adddress.
>>
> 
> right
> 
>> Since the destination addresss of the first packet is the CMULA of H2 
>> that belongs to H2's site, I wonder if this packet can be routed in 
>> H1's site.
>>
> 
> this packet is routed to the P-shim box in the H1 site. the P-Shim6 box 
> of the H1 site will then establish the shim6 context whcih will have the 
> CMULAs as ULIDs and regular PA addresses as locators. After that it will 
> forward the packets outside H1 site towards H2 site containing the PA 
> addresses as locators.
> 
> So the packets will carry PA addresses in the IPv6 header once they 
> leave the site. CMULAs are only routed inside the local site, so this 
> would be compliant with proposed usage of ULAs.
> 
> does this address your point?
Thank you very much for your detailed explaination. :-)
As you said, through the path from H1 to P-shim, the destination address 
of this packet is the CMULA of H2, which however is not routable in the 
H1's site (the reasions have been listed below). Normally, the CMULA of 
H2 can only be routable in the H2's site since it belongs to site-local 
address. right?
Therefore, I only wonder how this packet could be routed from H1 to 
P-shim box correctly.

With best regards,
Deguang

> 
> Regards, marcelo
> 
> 
>> The reasions are ss follows:
>> According to rfc2373, routers must not forward any packets with 
>> site-local source or destination addresses outside of the site.
>>
>> Reference [12] has the following description:
>> Unique Local IPv6 Unicast Addresses are intended for local 
>> communications, usually inside of a site.
>>
>> RFC4193 provides operational guidelines that forbid default routing of 
>> local addresses between sites in section 4.1.
>>
>> By the way, the reference [12] seems have been updated by RFC 4193.
>>    [12]  Hinden, R. and B. Haberman, "Centrally Assigned Unique Local
>>          IPv6 Unicast Addresses", draft-ietf-ipv6-ula-central-01 (work
>>          in progress), February 2005.
>>
>> Cheers,
>> Deguang
>>
> 

Delivery-date: Sun, 13 May 2007 16:49:27 +0000
Cc: shim6-wg <[email-masked]>
From: marcelo bagnulo braun <[email-masked]>
Subject: Re: draft-bagnulo-pshim6-01.txt
Date: Sun, 13 May 2007 18:48:32 +0200
To: Deguang Le <[email-masked]>

Hi Deguang,

El 13/05/2007, a las 17:37, Deguang Le escribi=F3:

> Dear Prof. Marcelo,
> page5:
>  When H1 sends the first packet addressed to the CMULA of H2, the
>    packet is intercepted and processed by the P- Shim6 box of the
>    multihomed site.
>
> As above description, H1 sends the first packet, which uses the CMULA=20=

> of H2 as the destination address. The CMULA is site-local adddress.
>

right

> Since the destination addresss of the first packet is the CMULA of H2=20=

> that belongs to H2's site, I wonder if this packet can be routed in=20
> H1's site.
>

this packet is routed to the P-shim box in the H1 site. the P-Shim6 box=20=

of the H1 site will then establish the shim6 context whcih will have=20
the CMULAs as ULIDs and regular PA addresses as locators. After that it=20=

will forward the packets outside H1 site towards H2 site containing the=20=

PA addresses as locators.

So the packets will carry PA addresses in the IPv6 header once they=20
leave the site. CMULAs are only routed inside the local site, so this=20
would be compliant with proposed usage of ULAs.

does this address your point?

Regards, marcelo

> The reasions are ss follows:
> According to rfc2373, routers must not forward any packets with=20
> site-local source or destination addresses outside of the site.
>
> Reference [12] has the following description:
> Unique Local IPv6 Unicast Addresses are intended for local=20
> communications, usually inside of a site.
>
> RFC4193 provides operational guidelines that forbid default routing of=20=

> local addresses between sites in section 4.1.
>
> By the way, the reference [12] seems have been updated by RFC 4193.
>    [12]  Hinden, R. and B. Haberman, "Centrally Assigned Unique Local
>          IPv6 Unicast Addresses", draft-ietf-ipv6-ula-central-01 (work
>          in progress), February 2005.
>
> Cheers,
> Deguang
>

Delivery-date: Sun, 13 May 2007 15:40:23 +0000
Date: Sun, 13 May 2007 17:37:52 +0200
From: Deguang Le <[email-masked]>
To: marcelo bagnulo braun <[email-masked]>
CC: shim6-wg <[email-masked]>
Subject: draft-bagnulo-pshim6-01.txt

Dear Prof. Marcelo,
page5:
  When H1 sends the first packet addressed to the CMULA of H2, the
    packet is intercepted and processed by the P- Shim6 box of the
    multihomed site.

As above description, H1 sends the first packet, which uses the CMULA of 
H2 as the destination address. The CMULA is site-local adddress.

Since the destination addresss of the first packet is the CMULA of H2 
that belongs to H2's site, I wonder if this packet can be routed in H1's 
site.

The reasions are ss follows:
According to rfc2373, routers must not forward any packets with 
site-local source or destination addresses outside of the site.

Reference [12] has the following description:
Unique Local IPv6 Unicast Addresses are intended for local 
communications, usually inside of a site.

RFC4193 provides operational guidelines that forbid default routing of 
local addresses between sites in section 4.1.

By the way, the reference [12] seems have been updated by RFC 4193.
    [12]  Hinden, R. and B. Haberman, "Centrally Assigned Unique Local
          IPv6 Unicast Addresses", draft-ietf-ipv6-ula-central-01 (work
          in progress), February 2005.

Cheers,
Deguang